# DescribeInstancesStatus

## 1. API Description

This API (DescribeInstancesStatus) is used to query the status of one or more elastic compute instances.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type            | Description                                                                                                                                                         |
| --------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceIds     | No       | Array of String | <p>Instance IDs.</p><p>You can query up to 100 instances in each request. If the value is empty, return status of instances in one page, that is 20 by default.</p> |
| pageSize        | No       | Integer         | <p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Maximum value: 1000.</p>                                                              |
| pageNum         | No       | Integer         | <p>Number of pages returned.</p><p>Default value: 1</p>                                                                                                             |
| resourceGroupId | No       | String          | Resource Group ID.                                                                                                                                                  |

## 3. Output Parameters

| Parameter Name | Type                                                                                                            | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                                                         | Quantity of eligible instances.                                                                                       |
| dataSet        | Array of [InstanceStatus](https://docs.console.zenlayer.com/api-reference/compute/datastructure#instancestatus) | Status list of instances.                                                                                             |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query status of instances.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstancesStatus
<Common Request Params>

Request:
{}

Response:
{
    "requestId":"TDD2B967A-10DD-4876-939D-E5C637F768DE",
    "dataSet":[
        {
            "instanceId":"instanceId1",
            "instanceStatus":"RUNNING"
        },
        {
            "instanceId":"instanceId2",
            "instanceStatus":"STOPPED"
        },
        {
            "instanceId":"instanceId3",
            "instanceStatus":"RUNNING"
            
        }
    ],
    "totalCount":3
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
